#
# spec file for package recode (Version 3.6)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           recode
License:        GPL v2 or later; LGPL v2.1 or later
Group:          Productivity/Text/Convertors
AutoReqProv:    on
# bug437293
%ifarch ppc64
Obsoletes:      recode-64bit
%endif
#
Version:        3.6
Release:        640.11
Summary:        Character Set Converter
Url:            http://recode.progiciels-bpi.ca/
Source:         ftp://ftp.gnu.org/pub/gnu/recode/recode-%{version}.tar.bz2
Source1:        cs_recode.po
Patch0:         recode-%{version}.patch
Patch1:         recode-%{version}-locale.patch
Patch2:         recode-%{version}-task.patch
Patch3:         recode-%{version}-gettext.patch
Patch4:         recode-gcc43.patch
Patch5:         recode-%{version}-memleak.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version}
PreReq:         %install_info_prereq
%endif

%description
This package converts various character sets.



Authors:
--------
    Francois Pinard <pinard@iro.umontreal.ca>

%package      devel
License:        LGPL v2.1 or later
Summary:        Character Set Converter
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}
# bug437293
%ifarch ppc64
Obsoletes:      recode-devel-64bit
%endif
#

%description  devel
This package converts various character sets.



Authors:
--------
    Francois Pinard <pinard@iro.umontreal.ca>

%prep
%setup -q
%patch0
%patch1
%patch2
%patch3
%patch4
%patch5 -p1
cp -v %{S:1} i18n/cs.po
rm m4/{lcmessage.m4,libtool.m4}
rm acinclude.m4

%build
autoreconf -fiv
%configure --with-pic --disable-static --without-included-gettext
%{__make} %{?jobs:-j%jobs}

%check
make check

%install
make install DESTDIR=$RPM_BUILD_ROOT
#found empty dependency_libs variable. please remove
rm -f %{buildroot}%{_libdir}/librecode.la
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%if 0%{?suse_version}
%install_info --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz
%endif
/sbin/ldconfig

%postun
%if 0%{?suse_version}
%install_info_delete --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz
%endif
/sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS BACKLOG COPYING COPYING-LIB NEWS README THANKS TODO ChangeLog
%{_mandir}/man1/*
%{_infodir}/recode*
%{_bindir}/recode
%{_libdir}/librecode.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/*.h
%{_libdir}/librecode.so

%changelog
* Wed Jan  7 2009 olh@suse.de
- obsolete old -XXbit packages (bnc#437293)
* Tue Nov 11 2008 ro@suse.de
- SLE-11 uses PPC64 instead of PPC, adapt baselibs.conf
* Wed Sep  3 2008 crrodriguez@suse.de
- disable static libraries
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Wed Mar 12 2008 schwab@suse.de
- Fix memory leak.
* Thu Feb 21 2008 crrodriguez@suse.de
- remove librecode.la that has empty dependency_libs
- use find_lang macro
* Tue Oct 23 2007 meissner@suse.de
- fixed gcc 4.3 problem
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Apr 12 2005 ro@suse.de
- fix build with current gettext
* Sat Jan 10 2004 adrian@suse.de
- add %%defattr
* Thu Apr 24 2003 ro@suse.de
- fix install_info --delete call and move from preun to postun
* Thu Feb 13 2003 mmj@suse.de
- Use %%install_info macro [#23453]
* Fri Aug 30 2002 pmladek@suse.cz
- fixed dependency of the devel subpackage on the main package (used %%version)
- aplied Debian's patch which fixes recode_buffer_to_buffer which failed
  for certain 1-step recodes [#11503]
* Sun Jul 28 2002 kukuk@suse.de
- remove unused diffutils from neededforbuild
* Fri Mar 29 2002 pmladek@suse.cz
- fixed to compile with autoconf-2.53
* Tue Feb  5 2002 rvasice@suse.cz
- fix locale bug #12817
* Fri Jan 11 2002 schwab@suse.de
- Use gettext from libc.
* Mon Oct  8 2001 schwab@suse.de
- Fix infinite loop in iconv wrapper.
- Reenable testsuite on all architectures.
* Mon Oct  8 2001 schwab@suse.de
- Fix bounds computation in guarantee_nul_terminator.
* Tue Jul  3 2001 ro@suse.de
- don't call make check for other archs
* Tue Jul  3 2001 olh@suse.de
- dont call make check on ppc, it eats your disk space
* Mon Jul  2 2001 cihlar@suse.cz
- update to version 3.6
- clean up spec file
* Mon Jun 18 2001 schwab@suse.de
- Call aclocal to get new libtool macros.
- Fix missing return value.
* Mon Jun 11 2001 pblaha@suse.cz
- add libtoolize --force for build
* Wed May  9 2001 mfabian@suse.de
- bzip2 sources
* Mon Apr 23 2001 pblaha@suse.cz
- fix compilation on axp
- fix name for catalog messages  *.mo
* Mon Mar  5 2001 pblaha@suse.cz
- move info back from recode-devel -> recode
* Wed Dec  6 2000 schwab@suse.de
- Add %%suse_update_config.
* Tue Dec  5 2000 uli@suse.de
- added diffutils to neededforbuild
* Tue Nov 21 2000 kukuk@suse.de
- Use macros to support multilib plattforms
* Mon Nov 20 2000 pblaha@suse.cz
- moved .so link to devel
* Mon Nov 13 2000 pblaha@suse.cz
- split to devel and created czech locales
* Mon Jul 24 2000 schwab@suse.de
- Fix even more memory leaks.
* Wed Jul 12 2000 bubnikv@suse.cz
- Fix more memory leaks (patch from Christian.Lorenz@suse.de).
* Mon Apr  3 2000 schwab@suse.de
- Fix more memory leaks.
* Mon Mar 13 2000 schwab@suse.de
- Fix some memory leaks.
* Wed Mar  1 2000 ke@suse.de
- add patch to improve lat1..texi.
* Tue Feb 22 2000 ro@suse.de
- include the shared recode-lib (since the binary is linked against it)
* Sun Feb 20 2000 ke@suse.de
- general spec file cleanup:
- get rid of Makefile.Linux.
- add group and URL tag.
- use various macros (%%{_mandir}, %%{_infodir}).
- install %%doc files.
- run `make check.'
* Tue Sep 21 1999 schwab@suse.de
- Preserve file permissions
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Jul 19 1999 florian@suse.de
- update to recode 3.5
